Bug 1557781 - Review Request: libdmapsharing4 - A DMAP client and server library
Summary: Review Request: libdmapsharing4 - A DMAP client and server library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-18 15:37 UTC by W. Michael Petullo
Modified: 2018-03-30 13:55 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-30 13:13:37 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description W. Michael Petullo 2018-03-18 15:37:54 UTC
Spec URL: https://www.flyn.org/SRPMS/libdmapsharing4.spec
SRPM URL: https://www.flyn.org/SRPMS/libdmapsharing4-3.9.0-1.fc27.src.rpm

Description:
libdmapsharing implements the DMAP protocols. This includes support for
DAAP and DPAP.

This package provides the emerging libdmapsharing API which is incompatible with the existing package.

Fedora Account System Username: mikep

Comment 1 Antonio T. (sagitter) 2018-03-18 17:03:02 UTC
Please, re-write the SPEC file's sections in the classic sequence in order to get a legible text for everyone: https://fedoraproject.org/wiki/How_to_create_a_GNU_Hello_RPM_package#Inside_a_.spec_file

Comment 2 W. Michael Petullo 2018-03-18 23:59:23 UTC
Spec URL: https://www.flyn.org/SRPMS/libdmapsharing4.spec
SRPM URL: https://www.flyn.org/SRPMS/libdmapsharing4-3.9.1-1.fc27.src.rpm

Description:
libdmapsharing implements the DMAP protocols. This includes support for
DAAP and DPAP.

This package provides the emerging libdmapsharing API which is incompatible with the existing package.

Fedora Account System Username: mikep

Comment 3 Robert-André Mauchin 🐧 2018-03-19 14:04:45 UTC
 - Group: is not needed. See https://fedoraproject.org/wiki/Packaging:Guidelines#Tags_and_Sections

 - Requires should include the arch:

Requires: %{name}%{?_isa} = %{version}-%{release}

   See https://fedoraproject.org/wiki/Packaging:Guidelines#Requiring_Base_Package

 - Use the new ldconfig macros. See https://fedoraproject.org/wiki/Changes/Removing_ldconfig_scriptlets#Upgrade.2Fcompatibility_impact

   Replace:

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

   with:

%ldconfig_scriptlets

 - Own these directories:

[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib64/girepository-1.0,
     /usr/share/vala/vapi, /usr/share/gir-1.0, /usr/share/vala

 - Shouldn't you update libdmapsharing to version 4 and then provide a compat package for older versions?

 - %{_libdir}/girepository-1.0/Dmap-4.0.typelib should be in the main package, not the devel subpackage.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL", "GPL (v3 or later)", "Unknown or generated", "*No
     copyright* GPL", "MIT/X11 (BSD like)", "Public domain LGPL (v2.1 or
     later)", "GPL (v2 or later) (with incorrect FSF address)", "LGPL (v2.1
     or later)", "*No copyright* LGPL (v2.1 or later)". 118 files have
     unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/libdmapsharing4/review-
     libdmapsharing4/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib64/girepository-1.0,
     /usr/share/vala/vapi, /usr/share/gir-1.0, /usr/share/vala
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 153600 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[!]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     libdmapsharing4-devel , libdmapsharing4-vala
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: libdmapsharing4-3.9.1-1.fc29.x86_64.rpm
          libdmapsharing4-devel-3.9.1-1.fc29.x86_64.rpm
          libdmapsharing4-vala-3.9.1-1.fc29.x86_64.rpm
          libdmapsharing4-debuginfo-3.9.1-1.fc29.x86_64.rpm
          libdmapsharing4-debugsource-3.9.1-1.fc29.x86_64.rpm
          libdmapsharing4-3.9.1-1.fc29.src.rpm
libdmapsharing4.x86_64: W: spelling-error %description -l en_US libdmapsharing -> librarianship
libdmapsharing4-devel.x86_64: W: only-non-binary-in-usr-lib
libdmapsharing4-devel.x86_64: E: non-devel-file-in-devel-package /usr/lib64/girepository-1.0/Dmap-4.0.typelib
libdmapsharing4-vala.x86_64: W: spelling-error Summary(en_US) libdmapsharing -> librarianship
libdmapsharing4-vala.x86_64: W: spelling-error %description -l en_US libdmapsharing -> librarianship
libdmapsharing4-vala.x86_64: W: no-documentation
libdmapsharing4-debugsource.x86_64: W: no-documentation
libdmapsharing4.src: W: spelling-error %description -l en_US libdmapsharing -> librarianship
6 packages and 0 specfiles checked; 1 errors, 7 warnings.

Comment 4 W. Michael Petullo 2018-03-20 22:39:00 UTC
Regarding the comment about the -compat package, I followed the model of gstreamer1 and glib2.

Everything else should be fixed.

Spec URL: https://www.flyn.org/SRPMS/libdmapsharing4.spec
SRPM URL: https://www.flyn.org/SRPMS/libdmapsharing4-3.9.1-1.fc27.src.rpm

Description:
libdmapsharing implements the DMAP protocols. This includes support for
DAAP and DPAP.

This package provides the emerging libdmapsharing API which is incompatible with the existing package.

Fedora Account System Username: mikep

Comment 5 Robert-André Mauchin 🐧 2018-03-21 00:12:37 UTC
 - Group: is not needed in the subpackages either

 - Directories should be owned with the %dir macros, like:

%files
%{_libdir}/libdmapsharing-4.0.so.*
%dir %{_libdir}/girepository-1.0/
%{_libdir}/girepository-1.0/Dmap-4.0.typelib

%doc AUTHORS ChangeLog README
%license COPYING

%files devel
%{_libdir}/pkgconfig/libdmapsharing-4.0.pc
%{_includedir}/libdmapsharing-4.0/
%{_libdir}/libdmapsharing-4.0.so
%{_datadir}/gtk-doc/html/libdmapsharing-4.0
%dir %{_datadir}/gir-1.0/
%{_datadir}/gir-1.0/Dmap-4.0.gir

%files vala
%dir %{_datadir}/vala/
%dir %{_datadir}/vala/vapi/
%{_datadir}/vala/vapi/libdmapsharing-4.0.vapi


Packages otherwise approved. Fix those minor issues befoe import.

Comment 6 Gwyn Ciesla 2018-03-21 13:36:45 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/libdmapsharing4

Comment 7 Fedora Update System 2018-03-21 23:03:32 UTC
libdmapsharing4-3.9.1-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-9ab4832284

Comment 8 Fedora Update System 2018-03-22 14:13:46 UTC
libdmapsharing4-3.9.1-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c5aef754cc

Comment 9 Fedora Update System 2018-03-22 17:39:51 UTC
libdmapsharing4-3.9.1-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-9ab4832284

Comment 10 Fedora Update System 2018-03-30 13:13:37 UTC
libdmapsharing4-3.9.1-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2018-03-30 13:55:28 UTC
libdmapsharing4-3.9.1-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.